# Class AckMessage

#### Hierarchy

- unknown
  - AckMessage

- Defined in src/protobuf/pb_pb.d.ts:929
- Defined in src/protobuf/pb_pb.d.ts:964

#####
Index

### Constructors

constructor

### Methods

clearSenderNodeAddress
getErrorMessage
getSenderNodeAddress
getSourceId
getSourceMsgClassName
getSourceType
getSourceUid
getSuccess
getUid
hasSenderNodeAddress
serializeBinary
setErrorMessage
setSenderNodeAddress
setSourceId
setSourceMsgClassName
setSourceType
setSourceUid
setSuccess
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AckMessage(): AckMessage

- #### Returns AckMessage

  Inherited from jspb.Message.constructor

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): AckMessage

- #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:936

### getErrorMessage

- getErrorMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:953

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:933

### getSourceId

- getSourceId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:947

### getSourceMsgClassName

- getSourceMsgClassName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:941

### getSourceType

- getSourceType(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:938

### getSourceUid

- getSourceUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:944

### getSuccess

- getSuccess(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:950

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:930

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:935

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:956

### setErrorMessage

- setErrorMessage(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:954

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): AckMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:934

### setSourceId

- setSourceId(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:948

### setSourceMsgClassName

- setSourceMsgClassName(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:942

### setSourceType

- setSourceType(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:939

### setSourceUid

- setSourceUid(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:945

### setSuccess

- setSuccess(value: boolean): AckMessage

- #### Parameters

  - ##### value: boolean

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:951

### setUid

- setUid(value: string): AckMessage

- #### Parameters

  - ##### value: string

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:931

### toObject

- toObject(includeInstance?: boolean): AckMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AckMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:957

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AckMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:960

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AckMessage, reader: BinaryReader): AckMessage

- #### Parameters

  - ##### message: AckMessage

  - ##### reader: BinaryReader

  #### Returns AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:961

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AckMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AckMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:959

### `Static` toObject

- toObject(includeInstance: boolean, msg: AckMessage): AckMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AckMessage

  #### Returns AckMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:958

Generated using TypeDoc